Debian Bug report logs - #645104
libvte9 uses incorrect path for gnome-pty-helper

version graph

Package: libvte9; Maintainer for libvte9 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libvte9 is src:vte.

Reported by: Janne Snabb <snabb@epipe.com>

Date: Wed, 12 Oct 2011 15:09:01 UTC

Severity: important

Tags: moreinfo, unreproducible

Merged with 650462

Found in versions 0.28.1-2, 0.28.2-1, vte/1:0.27.4-1

Fixed in version vte/1:0.28.2-4

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#645104; Package libvte9. (Wed, 12 Oct 2011 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Janne Snabb <snabb@epipe.com>:
New Bug report received and forwarded. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Wed, 12 Oct 2011 15:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Janne Snabb <snabb@epipe.com>
To: submit@bugs.debian.org
Subject: libvte9 uses incorrect path for gnome-pty-helper
Date: Wed, 12 Oct 2011 14:57:53 +0000 (UTC)
Package: libvte9
Version: 0.28.1-2

Looks like libvte9 package is internally using an incorrect path
for gnome-pty-helper. This causes libvte9 to fail recording utmp/login
entries for terminals that use it.

$ dpkg -x ../libvte9_0.28.1-2_amd64.deb .

$ strings usr/lib/libvte.so.9 | fgrep /gnome-pty-helper
/usr/lib/vte/gnome-pty-helper

$ ls -la usr/lib/vte/gnome-pty-helper
ls: cannot access usr/lib/vte/gnome-pty-helper: No such file or directory

$ find . -name gnome-pty-helper
./usr/lib/libvte9/gnome-pty-helper

Workaround:

# cd /usr/lib
# ln -s libvte9 vte

I encountered this bug on Ubuntu, but it clearly appears in Debian
also, thus I am reporting it. There are additional details in the
Ubuntu bug at: https://bugs.launchpad.net/ubuntu/+source/vte/+bug/864609

--
Janne Snabb / EPIPE Communications
snabb@epipe.com - http://epipe.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#645104; Package libvte9. (Wed, 12 Oct 2011 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Janne Snabb <snabb@epipe.com>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 12 Oct 2011 18:09:03 GMT) Full text and rfc822 format available.


Message #10 received at 645104@bugs.debian.org (full text, mbox):

From: Janne Snabb <snabb@epipe.com>
To: 645104@bugs.debian.org
Date: Wed, 12 Oct 2011 17:58:28 +0000 (UTC)
It looks like the correct compiler options are being passed when
building the libvte9 package.

The source package builds several variations of this package. Is
it possible that the udeb or python or some other build is somehow
interfering with the results of tha libvte9 package build, for
example by overwriting the library? I am not familiar with the
system that makes several packages from one source package. How
isolated are the build environments of each package?

Would it make sense to move gnome-pty-helper to the -common package
and thus install it only once when several variations of the library
are installed? In that case all the variations of the library could
use the same path to the helper.




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#645104; Package libvte9. (Wed, 12 Oct 2011 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Janne Snabb <snabb@epipe.com>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 12 Oct 2011 19:15:04 GMT) Full text and rfc822 format available.


Message #15 received at 645104@bugs.debian.org (full text, mbox):

From: Janne Snabb <snabb@epipe.com>
To: 645104@bugs.debian.org
Date: Wed, 12 Oct 2011 19:13:49 +0000 (UTC)
[Message part 1 (text/plain, inline)]
See attached patch.

Move the gnome-pty-helper into the -common package and install
only a single copy of this set-gid binary in /usr/lib/libvte.

The downside of this approach is that the -common package becomes
architecture specific.

This patch is against the Ubuntu source package but it probably
works with the Debian package too.
[vte-pty-helper-path.patch (text/plain, attachment)]

Severity set to 'important' from 'normal' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 11 Dec 2011 16:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645104; Package libvte9. (Sun, 11 Dec 2011 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 11 Dec 2011 21:33:06 GMT) Full text and rfc822 format available.

Message #22 received at 645104@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 645104@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libvte9 uses incorrect path for gnome-pty-helper
Date: Sun, 11 Dec 2011 22:31:19 +0100
[Message part 1 (text/plain, inline)]
found 645104 1:0.27.4-1
thanks

This bug was introduced in

vte (1:0.27.4-1) experimental; urgency=low

  * Switch to CDBS' flavors system.
  * Bump debhelper compatibility to 8.
  * New upstream release, based on a patch by Michael Terry.
    Closes: #604846.
  * Include check-dist.mk to prevent accidental uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:45:34
+0000

Which broke the way the libexecdir parameter is passed to configure
(cdbs is a bit special in that regard...)

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?



[signature.asc (application/pgp-signature, attachment)]

Bug Marked as found in versions vte/1:0.27.4-1. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 11 Dec 2011 21:33:16 GMT) Full text and rfc822 format available.

Forcibly Merged 645104 650462. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 11 Dec 2011 23:57:07 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Mon, 12 Dec 2011 02:54:11 GMT) Full text and rfc822 format available.

Notification sent to Janne Snabb <snabb@epipe.com>:
Bug acknowledged by developer. (Mon, 12 Dec 2011 02:54:11 GMT) Full text and rfc822 format available.

Message #31 received at 645104-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 645104-close@bugs.debian.org
Subject: Bug#645104: fixed in vte 1:0.28.2-4
Date: Mon, 12 Dec 2011 02:52:23 +0000
Source: vte
Source-Version: 1:0.28.2-4

We believe that the bug you reported is fixed in the latest version of
vte, which is due to be installed in the Debian FTP archive:

libvte-common_0.28.2-4_all.deb
  to main/v/vte/libvte-common_0.28.2-4_all.deb
libvte-dev_0.28.2-4_amd64.deb
  to main/v/vte/libvte-dev_0.28.2-4_amd64.deb
libvte-doc_0.28.2-4_all.deb
  to main/v/vte/libvte-doc_0.28.2-4_all.deb
libvte9-udeb_0.28.2-4_amd64.udeb
  to main/v/vte/libvte9-udeb_0.28.2-4_amd64.udeb
libvte9_0.28.2-4_amd64.deb
  to main/v/vte/libvte9_0.28.2-4_amd64.deb
python-vte_0.28.2-4_amd64.deb
  to main/v/vte/python-vte_0.28.2-4_amd64.deb
vte_0.28.2-4.debian.tar.gz
  to main/v/vte/vte_0.28.2-4.debian.tar.gz
vte_0.28.2-4.dsc
  to main/v/vte/vte_0.28.2-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645104@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated vte package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 11 Dec 2011 23:04:54 +0100
Source: vte
Binary: libvte9 libvte9-udeb libvte-dev libvte-common python-vte libvte-doc
Architecture: source all amd64
Version: 1:0.28.2-4
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 libvte-common - Terminal emulator widget for GTK+ 2.x - common files
 libvte-dev - Terminal emulator widget for GTK+ 2.0 - development files
 libvte-doc - Terminal emulator widget for GTK+ 2.x - documentation
 libvte9    - Terminal emulator widget for GTK+ 2.0 - runtime files
 libvte9-udeb - Terminal emulator widget for GTK+ 2.0 - minimal runtime (udeb)
 python-vte - Python bindings for the VTE widget set
Closes: 633798 645104
Changes: 
 vte (1:0.28.2-4) unstable; urgency=low
 .
   * debian/control.in:
     - Remove obsolete Conflicts and Replaces.
   * debian/rules:
     - Correctly pass libexecdir to configure so libvte has the correct path to
       gnome-pty-helper. Closes: #645104
   * Add symbols file for libvte9 for improved shlibs dependencies and bump
     shlibs accordingly. Closes: #633798
Checksums-Sha1: 
 3791dab8a5439d09085eb254ad73884c4a66f0a2 2555 vte_0.28.2-4.dsc
 460fcf52cb8e9e6bab7766286d3a9bd33a10ed39 19515 vte_0.28.2-4.debian.tar.gz
 aface1f1c7521e06d59b42c0b1adb6a2f805ace3 434170 libvte-common_0.28.2-4_all.deb
 0f18acf2077eb4aee64c6a08121e6d6a482866d1 434394 libvte-doc_0.28.2-4_all.deb
 711044ba02ef59842d79cc6e5a10b9c1c76c356f 725918 libvte9_0.28.2-4_amd64.deb
 4fee47a2dbd60d4ae0b6dbfdf5a4bfe90eda82b1 329758 libvte9-udeb_0.28.2-4_amd64.udeb
 8af8b3dd9f5024214da93a0bfbc5b1da7aee386c 759324 libvte-dev_0.28.2-4_amd64.deb
 e37829195b8f27f4e31e6de49d09c9afa12d879c 413122 python-vte_0.28.2-4_amd64.deb
Checksums-Sha256: 
 543ab39aef3629a1b509b509c440f93a1c8046b51f006536a7afe3c78de27751 2555 vte_0.28.2-4.dsc
 fa93ed221c71c1ba23509bd412d6c544b2529e25bd329242e77ce5bd7cab4e59 19515 vte_0.28.2-4.debian.tar.gz
 e2413924cb6e783f00081b6a4fc9ea80743c4929f87fef60b33bf69100daa1de 434170 libvte-common_0.28.2-4_all.deb
 b6dc9b612654d0d38e99a3fd46248661b62be56edb994dd351ff6af978e631db 434394 libvte-doc_0.28.2-4_all.deb
 f9bddf26c87bb4d6e2e8465f18e33ce5cec79fef7b944a45c695f4d083020e61 725918 libvte9_0.28.2-4_amd64.deb
 556764799fc2ca561b9a58eb71cdc07da25b65d485bbe83e99fdac14b0b3f32b 329758 libvte9-udeb_0.28.2-4_amd64.udeb
 5bda532daca3f551538a51b20419af2e708a214eb72ee3ec72d85b0a059ed99e 759324 libvte-dev_0.28.2-4_amd64.deb
 e78ce46a9fa3978b8111dd1a4eed4220ed9a73c5ad35fd282d2012423ad60f24 413122 python-vte_0.28.2-4_amd64.deb
Files: 
 e19b62f09a0a0396f3d744f1e2b8e2f6 2555 libs optional vte_0.28.2-4.dsc
 c474d8c3ee6a6e22e6a615dff9ee9e9a 19515 libs optional vte_0.28.2-4.debian.tar.gz
 87b32e0f436ad0b891b83b358bbc4dfb 434170 libs optional libvte-common_0.28.2-4_all.deb
 0a1d1434bfb8b5eb20ed02f18042a4bd 434394 doc optional libvte-doc_0.28.2-4_all.deb
 6b725f6bf0b8f580130a2847ad31d0f7 725918 libs optional libvte9_0.28.2-4_amd64.deb
 e7184848576730e6c2e21f873ea60206 329758 debian-installer extra libvte9-udeb_0.28.2-4_amd64.udeb
 5f3e35e2e9fac90e41e3284463cc50b0 759324 libdevel optional libvte-dev_0.28.2-4_amd64.deb
 bfe16e661ca7f4a7f42aba8f4ddbb0d9 413122 python optional python-vte_0.28.2-4_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJO5TACAAoJEGrh3w1gjyLc/ksP/ReS0Xs+adL57slvIYke4uGa
Be6EPYZcMAKgklPZCeqpX6VRT2o8b9Rp+v59p/CVTTNUHt/L+QmIG09AYXWP76gg
R1mwmwIOLIDjjvjvtgaODYaexIMcGvidNVy1OeIlN7EfoSfNQPWXJVRNHuhSMqYM
LS2iUqpUwCdA2S+puKXvTPP4AtdtGZvLb9cmtd87bFHwptoAWx5P3CMrzMI0k6Ks
9D8cEpihf1mW7NK/nIgLzjLw0mRslK8efqPM2WKWDw1nI/m5oioo7PKDuucAw8PA
PLuMBGk5Cufzpwqw9kweGxrUK1hEBgnn1wvlkgFhucj92PUOaABYqcSb8PUufzSY
ewU+zVOkUz2IOi8P6CDonx4zBKTSmfirvxW9sNxvWj6NzruiGz6Lc/8wjixk6f9I
RN4BNDGd4Z5QNNqdcEFL/PTkPr1nQmc42IrvKfWU8yWTZY+N911gATGE22GeELiw
1XzyPNdG9MT1EejR8ifuK8j4eKmuY5F0UeV6qDNu83XLxNTWyAaH4h/VjzalSKNp
H6AOPTSeoxyr3nqBrAst2LdSDZC6kg91RqtTOHtTcMeaOqrvaPw61KbDYIMCb6vY
M+FdpTV6Ij+neVwBJURqhJ9F6wjiNDgs6RkNTrWbLXSQjzr56xdNimqGFXblfMfO
h71LO16c8GzGiBjZE/Qr
=PYjN
-----END PGP SIGNATURE-----





Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Mon, 12 Dec 2011 02:54:12 GMT) Full text and rfc822 format available.

Notification sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Bug acknowledged by developer. (Mon, 12 Dec 2011 02:54:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jan 2012 07:32:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:24:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.